Crear una tarea
curl --request POST \
--url https://api.ugps.io/api/work/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task": {
"label": "<string>",
"location": {
"lat": 123,
"lng": 123,
"address": "<string>",
"radius": 123
},
"from": "<string>",
"to": "<string>",
"description": "<string>",
"tracker_id": 123,
"form_template_id": 123,
"external_id": "<string>",
"max_delay": 123,
"min_stay_duration": 123,
"min_arrival_duration": 123
},
"createForm": false
}
'import requests
url = "https://api.ugps.io/api/work/tasks"
payload = {
"task": {
"label": "<string>",
"location": {
"lat": 123,
"lng": 123,
"address": "<string>",
"radius": 123
},
"from": "<string>",
"to": "<string>",
"description": "<string>",
"tracker_id": 123,
"form_template_id": 123,
"external_id": "<string>",
"max_delay": 123,
"min_stay_duration": 123,
"min_arrival_duration": 123
},
"createForm": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
task: {
label: '<string>',
location: {lat: 123, lng: 123, address: '<string>', radius: 123},
from: '<string>',
to: '<string>',
description: '<string>',
tracker_id: 123,
form_template_id: 123,
external_id: '<string>',
max_delay: 123,
min_stay_duration: 123,
min_arrival_duration: 123
},
createForm: false
})
};
fetch('https://api.ugps.io/api/work/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": 123
}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"message": "Error interno del servidor"
}Trabajo - Tareas
Crear una tarea
Crea una tarea. Opcionalmente puede crear también su formulario asociado
(createForm: true + form_template_id).
Permisos requeridos: access_tasks
POST
/
api
/
work
/
tasks
Crear una tarea
Authorizations
bearerAuthcookieAuth
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Body
application/json
⌘I